<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;
                                             charset=utf-8">
    <link rel="stylesheet" href="leaflet-0.3.1/leaflet.css" type="text/css" />
<!--[if lte IE 8]>
    <link rel="stylesheet" href="leaflet-0.3.1/leaflet.ie.css" type="text/css" />
<![endif]-->

    <script src="leaflet-0.3.1/leaflet.js"></script>
    <script type="text/javascript">
        function init(){

          var map = new L.Map('map');

          var uoc = new
          L.TileLayer('https://map.cam.ac.uk/tiles/{z}/{x}/{y}.png',
          {
    attribution: 'Map data &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery &copy; <a href="https://www.cam.ac.uk">University of Cambridge</a>',
    maxZoom: 19
});

          var cambridge = new L.LatLng(52.20338, 0.1197);
          map.setView(cambridge, 16).addLayer(uoc);

          var markerLocation = new L.LatLng(52.203537,0.119389);
          var marker = new L.Marker(markerLocation);
          marker.bindPopup("We are here!").openPopup();
          map.addLayer(marker);

          //var markerLocation1 = new L.LatLng(52.2043, 0.11835);
          //var marker1 = new L.Marker(markerLocation1);
          //map.addLayer(marker1);

          //var markerLocation2 = new L.LatLng(52.2025, 0.1216);
          //var marker2 = new L.Marker(markerLocation2);
          //map.addLayer(marker2);

          var p1 = new L.LatLng(52.2043, 0.11835),
              p2 = new L.LatLng(52.2043, 0.1216),
              p3 = new L.LatLng(52.2025, 0.1216),
              p4 = new L.LatLng(52.2025, 0.11835),
              polygonPoints = [p1, p2, p3, p4];

          var polygon = new L.Polygon(polygonPoints);
          map.addLayer(polygon);

        } 

    </script>
    <title>Leaflet Basic OSM Example</title>
  </head>

  <body onload="init()">
    <h1>Leaflet</h1>

    <p>A simple example using
    the <a href="https://leaflet.cloudmade.com/">Leaflet</a> library.</p>

    <div id="map" style="width: 600px; height: 500px; border: 1px solid black;"></div>

  </body>

</html>


